package com.bonus.sgzb.base.service.impl;


import com.bonus.sgzb.base.domain.BmUnitPerson;
import com.bonus.sgzb.base.mapper.BmUnitPersonMapper;
import com.bonus.sgzb.base.service.BmUnitPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BmUnitPersonServiceImpl implements BmUnitPersonService {

    @Autowired
    private BmUnitPersonMapper bmUnitPersonMapper;

    @Override
    public List<BmUnitPerson> getUnitPersonAll() {

        return bmUnitPersonMapper.getUnitPersonAll();
    }

    @Override
    public List<BmUnitPerson> getUnitPerson(BmUnitPerson bmUnitPerson) {
        return bmUnitPersonMapper.getUnitPerson(bmUnitPerson);
    }

    @Override
    public int unitPersonAdd(BmUnitPerson bmUnitPerson) {
        return bmUnitPersonMapper.unitPersonAdd(bmUnitPerson);
    }

    @Override
    public void remove(Long[] unitIds) {
        bmUnitPersonMapper.remove(unitIds);
    }

    @Override
    public int updateBmUnitPerson(BmUnitPerson bmUnitPerson) {
        return bmUnitPersonMapper.updateBmUnitPerson(bmUnitPerson);
    }
}
